Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.taglibs.xtags
Class EditTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.ejie.r01f.taglibs.xtags.BaseXTag
                  com.ejie.r01f.taglibs.xtags.EditTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class EditTag
extends BaseXTag

CustomTag para la edición completa de texto (RichTextEdit)

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`EditTag()`

Method Summary
`void` | `_composeEditTag()` Fill in this method to perform other operations from doStartTag().
`int` | `doEndTag()` This method is called after the JSP engine finished processing the tag.
`int` | `doStartTag()` This method is called when the JSP engine encounters the start tag, after the attributes are processed.
`java.lang.String` | `getEditorObjectName()` Devuelve el nombre del control de edición
`java.lang.String` | `getHeight()` Devuelve el alto del editor
`java.lang.String` | `getOnActivate()` Devuelve el manejador del evento onActivate
`java.lang.String` | `getOnBlur()` Devuelve el manejador del evento onBlur
`java.lang.String` | `getOnDeActivate()` Devuelve el manejador del evento onDeActivate
`java.lang.String` | `getOnFocus()` Devuelve el manejador del evento onFocus
`java.lang.String` | `getOnLoad()` Devuelve el manejador del evento onLoad
`java.lang.String` | `getText()` Devuelve el texto del editor
`boolean` | `getToolBarShowHideOption()` Devuelve si se muestra la opción de ocultar la barra de herramientas
`java.lang.String` | `getWidth()` Devuelve el ancho del editor
`void` | `release()` Release any acquired resources.
`void` | `setEditorObjectName(java.lang.String x)` Establece el nombre del control de edición
`void` | `setHeight(java.lang.String x)` Establece el alto del editor
`void` | `setOnActivate(java.lang.String x)` Establece el manejador del evento onActivate
`void` | `setOnBlur(java.lang.String x)` Establece el manejador del evento onBlur
`void` | `setOnDeActivate(java.lang.String x)` Establece el manejador del evento onDeActivate
`void` | `setOnFocus(java.lang.String x)` Establece el manejador del evento onFocus
`void` | `setOnLoad(java.lang.String x)` Establece el manejador del evento onLoad
`void` | `setText(java.lang.String x)` Establece el texto del editor
`void` | `setToolBarShowHideOption(boolean x)` Establece si se muestra una opcion para ocultar la barra de herramientas
`void` | `setWidth(java.lang.String x)` Establece el ancho del editor

Methods inherited from class com.ejie.r01f.taglibs.xtags.BaseXTag
`getCheck, getFullPathName, getGenerateHTML, getGenerateJS, getId, getIsAttribute, getIsCDATA, getName, getXmlElemName, setCheck, setGenerateHTML, setGenerateJS, setId, setIsAttribute, setIsCDATA, setName, setXmlElemName`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### EditTag

    public EditTag()

Method Detail

### release

    public void release()

  Release any acquired resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `BaseXTag`

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  This method is called when the JSP engine encounters the start tag, after the attributes are processed. Scripting variables (if any) have their values set here.

  Returns:
    EVAL_BODY_TAG if the JSP engine should evaluate the tag body, otherwise return SKIP_BODY. This method is automatically generated. Do not modify this method. Instead, modify the methods that this method calls.
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  This method is called after the JSP engine finished processing the tag.

  Returns:
    EVAL_PAGE if the JSP engine should continue evaluating the JSP page, otherwise return SKIP_PAGE. This method is automatically generated. Do not modify this method. Instead, modify the methods that this method calls.
  Throws:
    `javax.servlet.jsp.JspException`

### _composeEditTag

    public void _composeEditTag()
                         throws javax.servlet.jsp.JspTagException

  Fill in this method to perform other operations from doStartTag().

  Throws:
    `javax.servlet.jsp.JspTagException`

### setEditorObjectName

    public void setEditorObjectName(java.lang.String x)

  Establece el nombre del control de edición

### getEditorObjectName

    public java.lang.String getEditorObjectName()

  Devuelve el nombre del control de edición

### setText

    public void setText(java.lang.String x)

  Establece el texto del editor

### getText

    public java.lang.String getText()

  Devuelve el texto del editor

### setWidth

    public void setWidth(java.lang.String x)

  Establece el ancho del editor

### getWidth

    public java.lang.String getWidth()

  Devuelve el ancho del editor

### setHeight

    public void setHeight(java.lang.String x)

  Establece el alto del editor

### getHeight

    public java.lang.String getHeight()

  Devuelve el alto del editor

### setToolBarShowHideOption

    public void setToolBarShowHideOption(boolean x)

  Establece si se muestra una opcion para ocultar la barra de herramientas

### getToolBarShowHideOption

    public boolean getToolBarShowHideOption()

  Devuelve si se muestra la opción de ocultar la barra de herramientas

### setOnFocus

    public void setOnFocus(java.lang.String x)

  Establece el manejador del evento onFocus

### getOnFocus

    public java.lang.String getOnFocus()

  Devuelve el manejador del evento onFocus

### setOnLoad

    public void setOnLoad(java.lang.String x)

  Establece el manejador del evento onLoad

### getOnLoad

    public java.lang.String getOnLoad()

  Devuelve el manejador del evento onLoad

### setOnActivate

    public void setOnActivate(java.lang.String x)

  Establece el manejador del evento onActivate

### getOnActivate

    public java.lang.String getOnActivate()

  Devuelve el manejador del evento onActivate

### setOnDeActivate

    public void setOnDeActivate(java.lang.String x)

  Establece el manejador del evento onDeActivate

### getOnDeActivate

    public java.lang.String getOnDeActivate()

  Devuelve el manejador del evento onDeActivate

### setOnBlur

    public void setOnBlur(java.lang.String x)

  Establece el manejador del evento onBlur

### getOnBlur

    public java.lang.String getOnBlur()

  Devuelve el manejador del evento onBlur

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD